%define _disable_ld_no_undefined 1

%define shortname indi
%define srcname   libindi_%{version}


Summary: Library to control astronomical devices
Name:    indilib
Version: 1.2.0
Release: %mkrel 3
License: LGPLv2+
Group:   System/Libraries
Url:     http://indi.sourceforge.net/
Source0: http://downloads.sourceforge.net/indi/libindi_%version.tar.xz
Source1: 99-perfectstar.rules
Source2: 99-vantage.rules
Patch0:  libindi_1.2.0-build.patch
#--------------------------------------------
BuildRequires: %{_lib}cfitsio-devel
BuildRequires: %{_lib}curl-devel
BuildRequires: %{_lib}gsl-devel
BuildRequires: %{_lib}jpeg-devel
BuildRequires: %{_lib}nova-devel
BuildRequires: %{_lib}usb1.0-devel
BuildRequires: libatlas-x86_64-devel
BuildRequires: libfli-devel
BuildRequires: cmake
#--------------------------------------------
Provides: indi = %version-%release

%description
INDI is an instrument neutral distributed interface control protocol
that aims to provide backend driver support and automation for a wide
range of Astronomical devices (telescopes, focusers, CCDs..etc).

%files
%doc ChangeLog NEWS README TODO
%_bindir/*
%_datadir/%shortname/
%_libdir/%shortname/
/lib/udev/rules.d/99-*.rules

#--------------------------------------------------------------------

%define major 1
%define libname %mklibname %shortname %major

%package -n %libname
Summary: Library files for INDI
Group: System/Libraries

%description -n %libname
INDI is an instrument neutral distributed interface control protocol
that aims to provide backend driver support and automation for a wide
range of Astronomical devices (telescopes, focusers, CCDs..etc).

This package contains library files of indilib.

%files -n %libname
%{_libdir}/*.so.%{major}*

#--------------------------------------------------------------------

%define develname %mklibname -d %shortname

%package -n %develname
Summary: INDI development files
Group: Development/Libraries
Requires: %libname = %version
Provides: indi-devel = %version-%release
Provides: %name-devel = %version-%release

%description -n %develname
INDI is an instrument neutral distributed interface control protocol
that aims to provide backend driver support and automation for a wide
range of Astronomical devices (telescopes, focusers, CCDs..etc).

This package contains files needed to build applications using indilib.

%files -n %develname
%doc ChangeLog README* NEWS
%_libdir/*.so
%_libdir/pkgconfig/libindi.pc
%_includedir/libindi/

#--------------------------------------------------------------------
# (lm) libindiclient is built as static only
# libindiclient BR by kstars

%define staticname %mklibname -s -d indiclient

%package -n %staticname
Summary: INDI indiclient static development file
Group: Development/Libraries
Requires: %develname = %version
Provides: indiclient-static-devel = %version-%release
Conflicts:%develname < 0.9.8.1

%description -n %staticname
INDI is an instrument neutral distributed interface control protocol
that aims to provide backend driver support and automation for a wide
range of Astronomical devices (telescopes, focusers, CCDs..etc).

This package contains libindiclient static file needed to build applications
using indiclient.

%files -n %staticname
%_libdir/libindiclient.a

#--------------------------------------------------------------------

%prep
%setup -q -n %{srcname}
%apply_patches

%build
%cmake \
	-DUDEVRULES_INSTALL_DIR=/lib/udev/rules.d
%make

%install
rm -rf %buildroot
%makeinstall_std -C build

find %{buildroot} \( -name "*.a" ! -name "libindiclient.a" \) -delete

install -m 0644 %SOURCE1 %buildroot/lib/udev/rules.d
install -m 0644 %SOURCE2 %buildroot/lib/udev/rules.d

%changelog
* Wed Jan 04 2017 bb <bb> 1.2.0-3pclos2017
- rebuild for new gsl

* Wed May 04 2016 bb <bb> 1.2.0-2pclos2016
- fix udev rules

* Sat Apr 30 2016 bb <bb> 1.2.0-1pclos2016
- update

